## Package org.apache.cassandra.io.compress

Interface Summary
ICompressor

Class Summary
CompressedRandomAccessReader
CompressedSequentialWriter
CompressedSequentialWriter.CompressedFileWriterMark: Class to hold a mark to the position of the file
CompressionMetadata: Holds metadata about compressed file
CompressionMetadata.Writer
CompressionParameters
DeflateCompressor
ICompressor.WrappedArray: A simple wrapper of a byte array.
SnappyCompressor

Exception Summary
CorruptedBlockException

Copyright © 2012 The Apache Software Foundation